*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*# 
*#      METR.bas - template file for SIFEL input file printing
*# 
*#      METR  - PARTIALLY COUPLED, FULLY COUPLED
*#      TRFEL - TRANSPORT PROCESSES
*#      MEFEL - MECHANICAL ANALYSES
*#
*#      Tomas Krejci, last update 04/05/2011
*# 
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*# 
*#
*# 
*#
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*#                           S T A R T  O F  M E T R  P R I N T I N G
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*if(strcmp(GenData(Print_file_for),"METR")==0)

*# METR problem description
*include metr_probdesc.h

*# METR elements
# elements:
*if(strcmp(GenData(METR_Problem_type),"FULLY-COUPLED_NON-LINEAR")==0)
tisk prvku pro metr doplnit??!!
*endif

*# METR materials
# materials
*if(strcmp(GenData(METR_Problem_type),"FULLY-COUPLED_NON-LINEAR")==0)
tisk materialu pro metr doplnit??!!
*endif

*# METR outdriver
#outdriver
*GenData(METR_Text_output_file_name)

*endif
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*#                           E N D  O F  M E T R  P R I N T I N G
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*#
*#
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*#                           S T A R T  O F  M E F E L  P R I N T I N G
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*if(strcmp(GenData(Print_file_for),"MEFEL")==0)
*# MEFEL problem description
*include mefel_probdesc.h


*# MEFEL nodes
# nodes:
*include mefel_nodes.h


*# MEFEL constrained nodes
# constraines:
*include mefel_connodes.h


*# MEFEL elements
# elements:
*include mefel_elements.h


*# MEFEL materials
# materials:
*include mefel_materials.h


*# MEFEL cross-sections
# cross-sections:
*include mefel_cross-sections.h


*# MEFEL loads
# loads:
*include mefel_loads.h


*if(strcmp(GenData(MEFEL_Problem_type),"GROWING_PROBLEM")==0)
*# MEFEL time functions
# time functions for growing structures
*include mefel_tfunc.h
*endif


*# MEFEL outdriver
# outdriver:
*include mefel_outdriver.h


*endif
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*#                           E N D  O F  M E F E L  P R I N T I N G
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*#
*#
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*#                           S T A R T  O F  T R F E L  P R I N T I N G
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*if(strcmp(GenData(Print_file_for),"TRFEL")==0)
*# TRFEL problem description
*include trfel_probdesc.h


*# TRFEL nodes
## nodes:
*include trfel_nodes.h


*# TRFEL constrained nodes
## constrained nodes:
*include trfel_connodes.h


*# TRFEL elements
## elements:
*include trfel_elements.h


*# TRFEL time functions
## time functions:
*include trfel_tfunc.h

*# TRFEL homogenization
## homogenization printing:
*include trfel_homog.h

*# TRFEL materials
## materials:
*include trfel_materials.h


*# TRFEL cross-sections
## cross-sections:
*include trfel_cross.h


*# TRFEL boundary conditions
## boundary conditions:
*include trfel_loads.h


*# TRFEL initial conditions
## initial conditions:
*include trfel_initcond.h


*# TRFEL outdriver
## outdriver:
*include trfel_outdriver.h


*endif
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
*#                           E N D  O F  T R F E L  P R I N T I N G
*# --------------------------------------------------------------------------------------------------------------------
*# --------------------------------------------------------------------------------------------------------------------
