
(defun gidbas-comment-dwim (arg)
  "Comment or uncomment current line or region in a smart way. For detail, see `comment-dwim'."
  (interactive "*bas")
  (require 'newcomment)
  (let ((deactivate-mark nil) (comment-start "*#") (comment-end "")) (comment-dwim arg))
)

;; define several class of keywords
(defvar gidbas-keywords
  '("GenData"
    "if"   "endif"
    "loop" "end"
    "include"
    "Set"  "set"
    "Add"
    "Cond"
    "tcl")
  "gidbas keywords.")

;; create the regex string for each class of keywords
(defvar gidbas-keywords-regexp (regexp-opt gidbas-keywords 'words))

;; clear memory
(setq gidbas-keywords nil)

;; create the list for font-lock.
;; each class of keyword is given a particular face
(setq gidbas-font-lock-keywords  `((,gidbas-keywords-regexp . font-lock-keyword-face)))


;; define the mode
(define-derived-mode gidbas-mode fundamental-mode
  "gidbas mode"
  "Major mode for editing GiD bas file ..."

  ;; code for syntax highlighting
  (setq font-lock-defaults '((gidbas-font-lock-keywords)))

  ;; clear memory
  (setq gidbas-keywords-regexp nil)

)

;; modify the keymap
(define-key gidbas-mode-map [remap comment-dwim] 'gidbas-comment-dwim)

;; perl style comment: $B!H(B# ...$B!I(B 
(modify-syntax-entry ?# "< b" gidbas-mode-syntax-table)
(modify-syntax-entry ?\n "> b" gidbas-mode-syntax-table)
